## Class THttpUtility

Description

THttpUtility class

- since: 3.0
- version: $Id: THttpUtility.php 1398 2006-09-08 19:31:03Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/THttpUtility.php (line 21)

Method Summary
string htmlDecode (string $s)
string htmlEncode (string $s)
Methods
htmlDecode (line 45)

HTML-decodes a string.

It is the inverse of htmlEncode.

- return: decoded string
- static:
- access: public

string htmlDecode (string $s)

- string $s: string to be decoded

htmlEncode (line 34)

HTML-encodes a string.

This method translates the following characters to their corresponding HTML entities: <, >, " Note, unlike htmlspeicalchars, & is not translated.

- return: encoded string
- static:
- access: public

string htmlEncode (string $s)

- string $s: string to be encoded

Documentation generated on Mon, 21 Apr 2008 11:35:12 -0400 by phpDocumentor 1.3.0RC4